{ config, pkgs, ... }:

{
  nix = {
    maxJobs = 4;
    buildCores = 1;
    autoOptimiseStore = true;
    useSandbox = true;
    extraOptions = ''
      build-timeout = 86400  # 24 hours
    '';
    sshServe.enable = if config.services.hydra.enable then true else false;
    sshServe.keys = if config.services.hydra.enable then [ (builtins.readFile /secret/nix-ssh.pub) ] else [];
    binaryCachePublicKeys = if config.services.hydra.enable then [ (builtins.readFile /secret/hydra_cache.pub) ] else [];
    trustedBinaryCaches = [
      "https://cache.nixos.org"
      "https://cache.ophanim.de"
    ];
    binaryCaches = [
      "https://cache.nixos.org"
      "https://cache.ophanim.de"
    ];
  };
}
