{ config, lib, pkgs, ... }:

{
  users = {
    mutableUsers = false;
    users.derped = {
      isNormalUser = true;
      home = "/home/derped";
      createHome = true;
      description = "";
      group = "derped";
      extraGroups = [ "audio" "wheel" "network" ] ++ (if config.machine.hostName != "Ophanim" then ["input" "cups" "lp" "docker"] else []);
      uid = 1337;
      shell = "/run/current-system/sw/bin/zsh";
      passwordFile = "/secret/derped";
      openssh.authorizedKeys.keyFiles = (if config.machine.hostName != "Ophanim" then [] else [ "/secret/derped.pub" ]);
    };
    
    groups.derped = {
      name = "derped";
      gid = 1337;
      members = [ "derped" ];
    };
  };
}
